Bug 1463123 - [GSS](6.4.z) EJB subsystem thread-pool statistics largest-thread-count is counting threads instead of show the peak of parallel use
[GSS](6.4.z) EJB subsystem thread-pool statistics largest-thread-count is cou...
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.4.14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Jurak
Jiří Bílek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 04:00 EDT by wfink
Modified: 2017-08-08 05:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-11678 Major Open [GSS](7.1.0) EJB subsystem thread-pool statistics largest-thread-count is counting threads instead of show the peak of p... 2017-08-15 06:20 EDT
JBoss Issue Tracker JBEAP-11679 Major New [GSS](7.0.z) EJB subsystem thread-pool statistics largest-thread-count is counting threads instead of show the peak of p... 2017-08-15 06:20 EDT
JBoss Issue Tracker WFLY-8966 Major Open EJB subsystem thread-pool statistics largest-thread-count is counting threads instead of show the peak of parallel use 2017-08-15 06:20 EDT
Red Hat Knowledge Base (Solution) 3086841 None None None 2017-06-20 05:01 EDT

  None (edit)
Description wfink 2017-06-20 04:00:45 EDT
Description of problem:

The description of "largest-thread-count" is
=> "The largest number of threads that have ever simultaneously been in the pool."

But the behaviour at runtime shows that it is handled similar to task-count.
If only one thread is used it will increased for every invocation until max-threads.
As result the largest-thread-count is == max-threads after a short time.

The helpful metrict to check whether the threads are exhaused is missing!


How reproducible:
Use a simple EJB scheduled timer and see that the largest-thread-count is increased for every invocation.

Expected results:
Show the peak number of used threads in parallel

Note You need to log in before you can comment on or make changes to this bug.